#ifndef __MOSBUTTON_H__
#define __MOSBUTTON_H__



#include "mos2d.h"
#include "mossprite.h"


#define ON 1
#define OFF 0

class MOSButton
{
public:
	MOSButton();
	~MOSButton();

BOOL Bas(MOSSprite sprite,float mousex1,float mousey1);
BOOL Bas(float x,float y,float xarti,float yarti,float mousex1,float mousey1);
BOOL Bas(MOSSprite sprite,MOSSprite carp,int cikar);




};


#endif	
